package com.ruoyi.bst.realName.domain.dto;

import javax.validation.constraints.NotBlank;

import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RealNameTowEleDTO {

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("用户姓名")
    @NotBlank(message = "用户姓名不允许为空", groups = {ValidGroup.Create.class})
    private String userName;

    @ApiModelProperty("身份证")
    @NotBlank(message = "身份证不允许为空", groups = {ValidGroup.Create.class})
    private String idCard;

}