package com.ruoyi.bst.areaJoin.domain;

import java.math.BigDecimal;

import javax.validation.constraints.NotBlank;

import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AreaJoinVO extends AreaJoin {
    
    @ApiModelProperty("运营商分成比例")
    private BigDecimal mchPoint;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("运营区名称")
    private String areaName;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("用户手机号")
    @NotBlank(message = "用户手机号不允许为空", groups = {ValidGroup.Create.class, ValidGroup.Update.class})
    private String userPhone;
}
