package com.ruoyi.bst.modelSuit.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车型套餐关联对象 bst_model_suit
 *
 * @author ruoyi
 * @date 2025-04-23
 */
@Data
public class ModelSuit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "套餐ID")
    @ApiModelProperty("套餐ID")
    private Long suitId;

    @Excel(name = "型号ID")
    @ApiModelProperty("型号ID")
    private Long modelId;

}
