package com.ruoyi.bst.order.domain.bo;

import java.util.List;

import com.ruoyi.bst.area.domain.AreaVO;
import com.ruoyi.bst.areaSub.domain.AreaSubVO;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.order.domain.OrderVO;
import com.ruoyi.bst.order.domain.dto.OrderChangeDeviceDTO;
import com.ruoyi.bst.order.domain.vo.OrderInParkingVO;
import com.ruoyi.bst.orderDevice.domain.OrderDevice;
import com.ruoyi.bst.orderDevice.domain.OrderDeviceVO;

import lombok.Data;

@Data
public class OrderChangeBO {
    // 原始参数
    private OrderChangeDeviceDTO dto;
    
    // 订单
    private OrderVO order;

    // 新设备
    private DeviceVO newDevice;

    // 旧设备
    private DeviceVO oldDevice;
    
    // 旧订单设备
    private OrderDeviceVO oldOrderDevice;

    // 运营区
    private AreaVO area;

    // 运营区停车区列表
    private List<AreaSubVO> parkingList;

    // 运营区禁停区列表
    private List<AreaSubVO> noParkingAreaSubList;

    // 旧设备是否在停车点内
    private OrderInParkingVO inParkingVO;

    // 生成的新订单设备
    private OrderDevice newOrderDevice;

}
